program MathParserTest;
{

  Projet de test DUnit Delphi
  ---------------------------
  Ce projet contient le framework de test DUnit et les lanceurs de test de l'interface graphique ou de la console.
  Ajoutez "CONSOLE_TESTRUNNER"  l'entre des dfinitions conditionnelles des options du projet
  afin d'utiliser le lanceur de test de la console.  Sinon, le lanceur de test GUI sera utilis
  par dfaut.

}

{$IFDEF CONSOLE_TESTRUNNER}
{$APPTYPE CONSOLE}
{$ENDIF}

uses
  FastMM4,
  Forms,
  TestFramework,
  GUITestRunner,
  TextTestRunner,
  TestTokenizer in 'TestTokenizer.pas' {$R *.RES},
  TestParser in 'TestParser.pas',
  TestExternalFunctions in 'TestExternalFunctions.pas',
  Targets in '..\Targets.pas',
  ParserConsts in '..\ParserConsts.pas',
  ParserTypes in '..\ParserTypes.pas',
  SimpleTokenizer in '..\SimpleTokenizer.pas',
  MathParser in '..\MathParser.pas',
  TestTargets in 'TestTargets.pas',
  TestModDiv in 'TestModDiv.pas',
  ParserMath in '..\ParserMath.pas';

{$R *.RES}

begin
  Application.Initialize;
  if IsConsole then
    with TextTestRunner.RunRegisteredTests do
      Free
  else
    GUITestRunner.RunRegisteredTests;
end.

